﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using Newtonsoft.Json;
using backstage.Helpers;
using backstage.Models;

using System.Net.Http;
using System.Security.Claims;
using Microsoft.AspNetCore.Localization;
using Microsoft.AspNetCore.Http;

namespace backstage.Controllers
{


    [Authorize]
    public class HomeController : Controller
    {

        private readonly IConfiguration _config;
        private readonly ICallApi _callApi;
        /// <summary>
        /// 讀取組態用
        /// </summary>

        public HomeController(IConfiguration config, ICallApi callApi)
        {
            _config = config;
            _callApi = callApi;
        }

        public async Task<IActionResult> token()
        {
            // 確認使用者是否已經登入
            if (User.Identity.IsAuthenticated)
            {
                return Ok( User.FindFirstValue("token"));
            }
            return Ok();
        }




        public async Task<IActionResult> Index()
        {
            ResultModel result = new ResultModel();




            return View();
        }


        public IActionResult ChangeLanguage(string lang)
        {
            // 設置所選語言
            Response.Cookies.Append(
                CookieRequestCultureProvider.DefaultCookieName,
                CookieRequestCultureProvider.MakeCookieValue(new RequestCulture(lang)),
                new CookieOptions { Expires = DateTimeOffset.UtcNow.AddYears(1) }
            );

            // 重新導向到先前的頁面或首頁
            return LocalRedirect("~/");
        }



        public IActionResult Error()
        {
            return View();
        }

        public IActionResult AccessDenied()
        {
            TempData["IsSuccess"] = false;
            TempData["msg"] = "您沒有訪問此頁面的權限。";


            return RedirectToAction("Index");
        }






    }
}